.output{
    overflow-x:hidden;
    overflow-y:visible;
    height: 500px;
}

#morris-bar-bar { padding-bottom:25px;} svg { height:550px;}
@keyframes ball {
    0% {
        top: 50%;
        left: 0%;
    }
    20% {
        top: 25%;
        left: 25%;
    }
    30% {
        top: 50%;
        left: 50%;
    }
    40% {
        top: 75%;
        left: 75%;
    }
    50% {
        top: 50%;
        left: 100%;
    }
    60% {
        top: 75%;
        left: 75%;
    }
    70% {
        top: 50%;
        left: 50%;
    }
    80% {
        top: 25%;
        left: 25%;
    }
    100% {
        top: 50%;
        left: 0%;
    }
}

@keyframes raketes {
    0% {
        transform: translateY(0);
    }
    20% {
        transform: translateY(10%);
    }
    25% {
        transform: translateY(-30%);
    }
    50% {
        transform: translateY(0);
    }
    60% {
        transform: translateY(25%);
    }
    80% {
        transform: translateY(-100%);
    }
    100% {
        transform: translateY(0);
    }
}

@keyframes glitch {
    0% {
        color: white;
        transform: translateX(0) translateY(0%);
    }
    25% {
        color: #3498db;
        transform: translateX(1px) translateY(1px);
    }
    40% {
        color: #e74c3c;
        transform: translateX(-2px) translateY(-2px);
    }
    50% {
        color: #cccccc;
        transform: translateX(0) translateY(0);
    }
    80% {
        color: #3498db;
        transform: translateX(2px) translateY(2px);
    }
    90% {
        color: #e74c3c;
        transform: translateX(-1px) translateY(-1px);
    }
    100% {
        color: white;
        transform: translateX(0) translateY(0);
    }
}

@keyframes changeColor {
    0% {
        color: #cccccc;
    }
    25% {
        color: #2ecc71;
    }
    50% {
        color: #e74c3c;
    }
    75% {
        color: #3498db;
    }
    100% {
        color: #cccccc;
    }
}




.console {
    font-size: small;
    color:white;
    background-color: #212121;
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    padding: 10px;
    box-sizing: border-box;
.output {
    width: 100%;
    font-size: 12px;
    color: #cccccc;
span {
    line-height: 20px;
    font-size: x-large;
}
span.grey {
    color: #cccccc;
}
span.green {
    color: #2ecc71;
}
span.red {
    color: #e74c3c;
}
span.blue {
    color: #3498db;
}
pre {
    background-color: #212121;
    font-size: 9px;
    animation: glitch 0.2s linear infinite;
    animation-play-state: paused;
&:hover {
     animation-play-state: running;
 }
}
}
.action {
    width: 100%;
    font-size: 14px;
    margin-top: 20px;

span {
    display: inline-block;
    width: 60px;
    float: left;
    color: white;
}
textarea {
    width: calc(100% - 65px);
    float: left;
    background: none;
    background-color: #212121;
    border: none;
    color: white;
    padding: 0;
    margin: 0;
&:focus {
     outline: none;
 }
}
}
}

span.seperator {
    font-size: 12px;
    animation: changeColor 10s ease-in-out infinite;
}

.pong {
    display: inline-block;
    position: relative;
    width: 300px;
    height: 50px;
&:after {
     content: '';
     display: block;
     position: absolute;
     top: 50%;
     left: 50%;
     width: 4px;
     height: 4px;
     background-color: white;
     animation: ball 6s linear infinite;
 }
b {
    display: inline-block;
    position: absolute;
    top: 50%;
    margin-top: -7px;
    transform: translateY(0);
&.left {
     left: -10px;
     animation: raketes 5s ease-in-out infinite;
 }
&.right {
     right: -10px;
     animation: raketes 5s ease-in-out 0.5s infinite;
 }
}
}